Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
debug.c File Reference
`#include <ffi.h>`
`#include <ffi_common.h>`
`#include <stdlib.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
void | ffi_stop_here (void)
void | ffi_assert (char *expr, char *file, int line)
void | ffi_type_test (ffi_type *a, char *file, int line)

## Function Documentation

## ◆ ffi_assert()

void ffi_assert | ( | char * | expr,
|  | char * | file,
|  | int | line
| ) |  |

Definition at line 41 of file debug.c.

References abort(), ffi_stop_here(), fprintf(), and stderr.

## ◆ ffi_stop_here()

void ffi_stop_here | ( | void |  | ) |

Definition at line 32 of file debug.c.

Referenced by ffi_assert().

## ◆ ffi_type_test()

void ffi_type_test | ( | ffi_type * | a,
|  | char * | file,
|  | int | line
| ) |  |

Definition at line 50 of file debug.c.

References FFI_ASSERT_AT, and NULL.